# GESFrameCompositionMeta interface

## GESFrameCompositionMeta

Metadata type that holds information about the positioning, size, transparency and composition operator of a video frame in the timeline composition.

### Members

`meta` (GstMeta) –

the parent GstMeta.

`alpha` (gdouble) –
No description available
`posx` (gdouble) –

The desired x position.

`posy` (gdouble) –

The desired y position.

`height` (gdouble) –

The desired height of the video. -1 means that no scaling should be applied.

`width` (gdouble) –

The desired width of the video. -1 means that no scaling should beapplied applied.

`zorder` (guint) –

The desired z order.

`operator` (gint) –

The blending operator for the source.

Since : 1.24

## GES.FrameCompositionMeta

Metadata type that holds information about the positioning, size, transparency and composition operator of a video frame in the timeline composition.

### Members

`meta` (Gst.Meta) –

the parent Gst.Meta.

`alpha` (Number) –
No description available
`posx` (Number) –

The desired x position.

`posy` (Number) –

The desired y position.

`height` (Number) –

The desired height of the video. -1 means that no scaling should be applied.

`width` (Number) –

The desired width of the video. -1 means that no scaling should beapplied applied.

`zorder` (Number) –

The desired z order.

`operator` (Number) –

The blending operator for the source.

Since : 1.24

## GES.FrameCompositionMeta

Metadata type that holds information about the positioning, size, transparency and composition operator of a video frame in the timeline composition.

### Members

`meta` (Gst.Meta) –

the parent Gst.Meta.

`alpha` (float) –
No description available
`posx` (float) –

The desired x position.

`posy` (float) –

The desired y position.

`height` (float) –

The desired height of the video. -1 means that no scaling should be applied.

`width` (float) –

The desired width of the video. -1 means that no scaling should beapplied applied.

`zorder` (int) –

The desired z order.

`operator` (int) –

The blending operator for the source.

Since : 1.24

## Functions

### ges_buffer_add_frame_composition_meta

    GESFrameCompositionMeta *
    ges_buffer_add_frame_composition_meta (GstBuffer * buffer)

Attaches positioning metadata to a GstBuffer.

Parameters:

`buffer` –

GstBuffer to which protection metadata should be added.

Returns ( [transfer: none]) –

a pointer to the added GESFrameCompositionMeta.

Since : 1.24

### GES.prototype.buffer_add_frame_composition_meta

    function GES.prototype.buffer_add_frame_composition_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'ges_buffer_add_frame_composition_meta'
    }

Attaches positioning metadata to a Gst.Buffer.

Parameters:

`buffer` (Gst.Buffer) –

Gst.Buffer to which protection metadata should be added.

Returns (GES.FrameCompositionMeta) –

a pointer to the added GES.FrameCompositionMeta.

Since : 1.24

### GES.buffer_add_frame_composition_meta

    def GES.buffer_add_frame_composition_meta (buffer):
        #python wrapper for 'ges_buffer_add_frame_composition_meta'

Attaches positioning metadata to a Gst.Buffer.

Parameters:

`buffer` (Gst.Buffer) –

Gst.Buffer to which protection metadata should be added.

Returns (GES.FrameCompositionMeta) –

a pointer to the added GES.FrameCompositionMeta.

Since : 1.24

The results of the search are